Subject: File name affects patch patched file regardless of diff

From: Michael Partridge <[email-masked]>
Date: Sun, 1 Nov 2020 15:34:42 -0700

Reproduce with:

diff -u driver.c.master driver.c > d.diff
patch < d.diff

driver.c is patched instead of the intended driver.c.master. If I change
the name to master_driver.c it works as intended.

The use case:
When I want to merge a couple lines of changes from another git branch, I
sometimes rename the file in the master branch by appending .master then
checkout the file that has some of the changes I want. From there I run the
diffs as seen above and manually edit the diff file to achieve the exact
edits I want before patching.

MCP